
/**
 * Esta clase simula el movimiento de caida libre
 * de una piedra sin tener en cuenta el rozamiento 
 * con el aire
 */
public class Piedra
{
    // posicion de la piedra
    protected double posX,posY; //metros
    //velocidad de la piedra
    protected double vx,vy; // metros/seg
    // gravedad
    private static final double g=9.8; // metros/(seg*seg) 

    /**
     * Constructor de la Piedra; se le pasan
     * la posicion(metros) y velocidad(m/s)
     */
    public Piedra(double x, double y, 
                  double vx, double vy)
    {
        posX=x;
        posY=y;
        this.vx=vx;
        this.vy=vy;
    }

    /**
     * Retorna la posicion x en metros
     */
    public double posX()
    {
        return posX;
    }
    
    /**
     * Retorna la posicion y en metros
     */
    public double posY()
    {
        return posY;
    }
    
    /**
     * Avanza el tiempo, calculando las nuevas
     * posiciones y velocidades
     */
    public void avanzaTiempo(double t) {
        posX=posX+vx*t;
        posY=posY+vy*t-g*t*t/2.0;
        vy=vy-g*t;
    }
}
